Skip to content

Performance

Request

Returns the documentation of the dataset: its fields, supported time windows and rollups.

Security
Auth0(Required scopes: offline_access)
curl -i -X GET \
  https://api.mediamath.com/reporting/v2/performance \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Dataset documentation

Bodyapplication/json
codestringrequired

Dataset identifier used in request paths

endpointstringrequired

Path used to query this dataset

metadataobject(DatasetMetadata)required

Human-readable dataset metadata

fieldsobjectrequired
rollupsArray of stringsrequired
time_windowsArray of stringsrequired
Response
{ "code": "string", "endpoint": "string", "metadata": { "description": "string", "name": "string" }, "fields": { "dimensions": [ … ], "metrics": [ … ] }, "rollups": [ "string" ], "time_windows": [ "string" ] }